Wide Studio Object Reference

Wide Studio Home
Up to

## Class Name

WSDenv

## Specification of methods

### WSGIappEnvironment method

Form
  WSDenv* WSGIappEnvironment()
Function
  Returns the global instance of the class: WSDenv.
Description
Parameters
  None
Return value
  Returns the global instance.
Notice
  This method is a global function. Do not delete the return value.
  It is an invalid instance created by WSDenv().
Samples

        //get value of the environment of variable.
        char* value = WSGIappEnvironment()->getEnv("WSDIR");

### getEnv method

Form
  char* getEnv(char* str);
Function
  Returns the value of the specified environment variable. returns "" if it does not exist.
Description
Parameters

  (in)char* str | the environment variable name

Return value
  Returns the value.
Notice
  Do not delete the return value.
Samples
  Refer to WSGIappEnvironment().

  ### getPlaneString method

  Form
    char* getPlaneString(char* str)
  Function
    Converts the string that contains some environment variables; then it returns the converted plane string.
  Description
  Parameters

    (in)char* str | The string which has some environment variables

    For example, the string has a variable:WSDIR, Specify the variable like $(...) as follows:
    $(WSDIR)/bin/wsbuilder
  Return value
    Returns the converted string.
  Notice
    Do not delete the return value.
  Samples

          //expand the environment variable.
          char* value = WSGIappEnvironment()->getPlaneString("$(WSDIR)/include");

  Document Release 3.70
  For use with Wide Studio Release 3.70, Spring 2004

  Wide Studio Home | Up to

  Copyright(C) WideStudio Development Team, 1999-2004 |  | Last modified: May 25, 2004